const C_TYPES=[("PropertyValue", PropertyValue),
("OptionSet", OptionSet),
("BigObject", BigObject),
("Integer", Integer),
("Rational", Rational),
("Matrix_Int", Matrix{CxxWrap.CxxLong}),
("Matrix_Integer", Matrix{Integer}),
("Matrix_Rational", Matrix{Rational}),
("Matrix_double", Matrix{Float64}),
("Vector_Int", Vector{CxxWrap.CxxLong}),
("Vector_Integer", Vector{Integer}),
("Vector_Rational", Vector{Rational}),
("Vector_double", Vector{Float64}),
("Pair_Int_Int", StdPair{CxxWrap.CxxLong,CxxWrap.CxxLong}),
("List_Pair_Int_Int", StdList{StdPair{CxxWrap.CxxLong,CxxWrap.CxxLong}}),
("Set_Int", Set{CxxWrap.CxxLong}),
("Array_Int", Array{CxxWrap.CxxLong}),
("Array_Integer", Array{Integer}),
("Array_String", Array{CxxWrap.StdString}),
("Array_Set_Int", Array{Set{CxxWrap.CxxLong}}),
("Array_Array_Int", Array{Array{CxxWrap.CxxLong}}),
("Array_Array_Integer", Array{Array{Integer}}),
("Array_Array_Set_Int", Array{Array{Set{CxxWrap.CxxLong}}}),
("Array_Array_Rational", Array{Array{Rational}}),
("Array_Pair_Int_Int", Array{StdPair{CxxWrap.CxxLong,CxxWrap.CxxLong}}),
("Array_List_Pair_Int_Int", Array{StdList{StdPair{CxxWrap.CxxLong,CxxWrap.CxxLong}}}),
("Array_Matrix_Integer", Array{Matrix{Integer}}),
("Array_BigObject", Array{BigObject}),
("Array_Polynomial_Integer_Int", Array{Polynomial{Integer,CxxWrap.CxxLong}}),
("Array_Polynomial_Rational_Int", Array{Polynomial{Rational,CxxWrap.CxxLong}}),
("SparseMatrix_Integer", SparseMatrix{Integer}),
("SparseMatrix_Rational", SparseMatrix{Rational}),
("SparseMatrix_Int", SparseMatrix{CxxWrap.CxxLong}),
("SparseMatrix_double", SparseMatrix{Float64}),
("SparseVector_Integer", SparseVector{Integer}),
("SparseVector_Rational", SparseVector{Rational}),
("SparseVector_Int", SparseVector{CxxWrap.CxxLong}),
("SparseVector_double", SparseVector{Float64}),
("IncidenceMatrix_NonSymmetric", IncidenceMatrix{NonSymmetric}),
("IncidenceMatrix_Symmetric", IncidenceMatrix{Symmetric}),
("TropicalNumber_Max_Rational", TropicalNumber{Max,Rational}),
("TropicalNumber_Min_Rational", TropicalNumber{Min,Rational}),
("UniPolynomial_Int_Int", UniPolynomial{CxxWrap.CxxLong,CxxWrap.CxxLong}),
("UniPolynomial_Integer_Int", UniPolynomial{Integer,CxxWrap.CxxLong}),
("UniPolynomial_Rational_Int", UniPolynomial{Rational,CxxWrap.CxxLong}),
("Polynomial_Int_Int", Polynomial{CxxWrap.CxxLong,CxxWrap.CxxLong}),
("Polynomial_Integer_Int", Polynomial{Integer,CxxWrap.CxxLong}),
("Polynomial_Rational_Int", Polynomial{Rational,CxxWrap.CxxLong}),
("Polynomial_double_Int", Polynomial{Float64,CxxWrap.CxxLong}),
("Map_String_String", Map{CxxWrap.StdString,CxxWrap.StdString}),
("Graph_Undirected", Graph{Undirected}),
("Graph_Directed", Graph{Directed}),]
